## NMDeviceBond

NMDeviceBond

## Functions

const char * | nm_device_bond_get_hw_address ()
gboolean | nm_device_bond_get_carrier ()
const GPtrArray * | nm_device_bond_get_slaves ()

## Properties

gboolean | carrier | Read
gchar * | hw-address | Read
GPtrArray * | slaves | Read

## Types and Values

#define | NM_DEVICE_BOND_HW_ADDRESS
#define | NM_DEVICE_BOND_CARRIER
#define | NM_DEVICE_BOND_SLAVES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceBond

## Description

## Functions

### nm_device_bond_get_hw_address ()

    const char *
    nm_device_bond_get_hw_address (NMDeviceBond *device);

Gets the hardware (MAC) address of the NMDeviceBond

#### Parameters

device | a NMDeviceBond |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_bond_get_carrier ()

    gboolean
    nm_device_bond_get_carrier (NMDeviceBond *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceBond |

#### Returns

`TRUE` if the device has carrier

### nm_device_bond_get_slaves ()

    const GPtrArray *
    nm_device_bond_get_slaves (NMDeviceBond *device);

Gets the devices currently slaved to `device` .

#### Parameters

device | a NMDeviceBond |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

## Types and Values

### NM_DEVICE_BOND_HW_ADDRESS

    #define NM_DEVICE_BOND_HW_ADDRESS  "hw-address"

### NM_DEVICE_BOND_CARRIER

    #define NM_DEVICE_BOND_CARRIER     "carrier"

### NM_DEVICE_BOND_SLAVES

    #define NM_DEVICE_BOND_SLAVES      "slaves"

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Flags: Read

Default value: FALSE

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Flags: Read

Default value: NULL

### The `“slaves”` property

      “slaves”                   GPtrArray *

The devices slaved to the bond device.

Element-type: NMDevice

Flags: Read